Ogre::SceneManager::RenderContext Struct Reference

`#include <OgreSceneManager.h>`

List of all members.

## Public Attributes

RenderQueue * | renderQueue
Viewport * | viewport
Camera * | camera
CompositorChain * | activeChain
RenderSystem::RenderSystemContext * | rsContext

## Detailed Description

Definition at line 809 of file OgreSceneManager.h.

## Member Data Documentation

CompositorChain* Ogre::SceneManager::RenderContext::activeChain

Definition at line 814 of file OgreSceneManager.h.

Camera* Ogre::SceneManager::RenderContext::camera

Definition at line 813 of file OgreSceneManager.h.

RenderQueue* Ogre::SceneManager::RenderContext::renderQueue

Definition at line 811 of file OgreSceneManager.h.

RenderSystem::RenderSystemContext* Ogre::SceneManager::RenderContext::rsContext

Definition at line 815 of file OgreSceneManager.h.

Viewport* Ogre::SceneManager::RenderContext::viewport

Definition at line 812 of file OgreSceneManager.h.

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:37